package speiger.src.coreengine.rendering.tesselation;

public class VertexElement
{
	ElementUsage usage;
	int size;
	
	public VertexElement(int size, ElementUsage usage)
	{
		this.usage = usage;
		this.size = size;
	}
	
	public int getSize()
	{
		return size;
	}
	
	public ElementUsage getUsage()
	{
		return usage;
	}
	
	public static enum ElementUsage
	{
		POS(0),
		UV(1),
		COLOR(2),
		NORMAL(3),
		CUSTOM(4);
		
		int type;
		
		private ElementUsage(int type)
		{
			this.type = type;
		}
		
		public int getType()
		{
			return type;
		}
	}
}
